Source: haskell-warp
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders:
 Clint Adams <clint@debian.org>,
Priority: optional
Section: haskell
Rules-Requires-Root: no
Build-Depends:
 cdbs,
 debhelper (>= 10),
 ghc (>= 8.4.3),
 ghc-prof,
 haskell-devscripts (>= 0.13),
 libghc-async-dev,
 libghc-async-prof,
 libghc-auto-update-dev (<< 0.2),
 libghc-auto-update-dev (>= 0.1.3),
 libghc-auto-update-prof,
 libghc-bsb-http-chunked-dev (<< 0.1),
 libghc-bsb-http-chunked-prof,
 libghc-case-insensitive-dev (>= 0.2),
 libghc-case-insensitive-prof,
 libghc-doctest-dev (>= 0.10.1) [!kfreebsd-any],
 libghc-hashable-dev,
 libghc-hashable-prof,
 libghc-hspec-dev (>= 1.3) [!kfreebsd-any],
 libghc-http-date-dev,
 libghc-http-date-prof,
 libghc-http-types-dev (>= 0.12),
 libghc-http-types-prof,
 libghc-http2-dev (>= 2.0),
 libghc-http2-dev (<< 2.1),
 libghc-http2-prof,
 libghc-hunit-dev [!kfreebsd-any],
 libghc-iproute-dev (>= 1.3.1),
 libghc-iproute-prof,
 libghc-lifted-base-dev (>= 0.1) [!kfreebsd-any],
 libghc-network-dev (>= 2.3),
 libghc-network-prof,
 libghc-quickcheck2-dev [!kfreebsd-any],
 libghc-simple-sendfile-dev (<< 0.3),
 libghc-simple-sendfile-dev (>= 0.2.7),
 libghc-simple-sendfile-prof,
 libghc-streaming-commons-dev (>= 0.1.10),
 libghc-streaming-commons-prof,
 libghc-time-manager-dev,
 libghc-time-manager-prof,
 libghc-unix-compat-dev (>= 0.2),
 libghc-unix-compat-prof,
 libghc-vault-dev (>= 0.3),
 libghc-vault-prof,
 libghc-wai-dev (<< 3.3),
 libghc-wai-dev (>= 3.2),
 libghc-wai-prof,
 libghc-word8-dev,
 libghc-word8-prof,
 netbase,
 libghc-x509-dev,
 libghc-x509-prof,
Build-Depends-Indep: ghc-doc,
 libghc-async-doc,
 libghc-auto-update-doc,
 libghc-bsb-http-chunked-doc,
 libghc-case-insensitive-doc,
 libghc-hashable-doc,
 libghc-http-date-doc,
 libghc-http-types-doc,
 libghc-http2-doc,
 libghc-iproute-doc,
 libghc-network-doc,
 libghc-simple-sendfile-doc,
 libghc-streaming-commons-doc,
 libghc-time-manager-doc,
 libghc-unix-compat-doc,
 libghc-vault-doc,
 libghc-wai-doc,
 libghc-word8-doc,
 libghc-x509-doc,
Standards-Version: 4.5.0
Homepage: https://github.com/yesodweb/wai
Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/haskell-warp
Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/haskell-warp]

Package: libghc-warp-dev
Architecture: any
Depends:
 ${haskell:Depends},
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 ${haskell:Recommends},
Suggests:
 ${haskell:Suggests},
Provides:
 ${haskell:Provides},
Description: fast, light-weight web server for WAI applications${haskell:ShortBlurb}
 It contains the premier WAI handler. For more information, see
 http://steve.vinoski.net/blog/2011/05/01/warp-a-haskell-web-server/ .
 .
 ${haskell:Blurb}

Package: libghc-warp-prof
Architecture: any
Depends:
 ${haskell:Depends},
 ${misc:Depends},
Recommends:
 ${haskell:Recommends},
Suggests:
 ${haskell:Suggests},
Provides:
 ${haskell:Provides},
Description: fast, light-weight web server for WAI applications${haskell:ShortBlurb}
 It contains the premier WAI handler. For more information, see
 http://steve.vinoski.net/blog/2011/05/01/warp-a-haskell-web-server/ .
 .
 ${haskell:Blurb}

Package: libghc-warp-doc
Architecture: all
Section: doc
Depends:
 ${haskell:Depends},
 ${misc:Depends},
Recommends:
 ${haskell:Recommends},
Suggests:
 ${haskell:Suggests},
Description: fast, light-weight web server for WAI applications${haskell:ShortBlurb}
 It contains the premier WAI handler. For more information, see
 http://steve.vinoski.net/blog/2011/05/01/warp-a-haskell-web-server/ .
 .
 ${haskell:Blurb}
